Page MenuHomePhabricator

Bring in utfnormal library with composer and create backwards-compat layer
Closed, ResolvedPublic

Description

Bring the utfnormal library back in to MediaWiki core as a composer dependency, and create a back-compat layer like cdb since functions and constants were moved around.

Event Timeline

Legoktm created this task.Feb 26 2015, 12:33 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 12:33 AM

Change 195026 had a related patch set uploaded (by Legoktm):
Use wikimedia/utfnormal library, add backwards-compatability layer

https://gerrit.wikimedia.org/r/195026

Change 195028 had a related patch set uploaded (by Legoktm):
Add wikimedia/utfnormal 1.0.0

https://gerrit.wikimedia.org/r/195028

Change 195028 merged by jenkins-bot:
Add wikimedia/utfnormal 1.0.2

https://gerrit.wikimedia.org/r/195028

Legoktm claimed this task.Mar 30 2015, 8:37 PM
Legoktm set Security to None.

Change 195026 merged by jenkins-bot:
Use wikimedia/utfnormal library, add backwards-compatability layer

https://gerrit.wikimedia.org/r/195026

Legoktm closed this task as Resolved.Mar 31 2015, 12:53 AM
bd808 moved this task from Untriaged to Done on the Librarization board.Jul 22 2015, 11:16 PM